Transactions
Submit userOp signature
POST
Requires scope transactions:create.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
passkeyPublicKey*passkeyData*Response Body
200application/json
Updated quorum status
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/userops/{hash}/signatures' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "passkeyPublicKey": { "x": "string", "y": "string" }, "passkeyData": { "credential": { "property1": null, "property2": null }, "expectedChallenge": "string", "expectedOrigins": [ "string" ], "expectedRPID": "string", "authenticator": { "credentialId": "string", "credentialPublicKey": "string", "counter": 0 } }}'Example Response
{ "data": { "userOpHash": "string", "threshold": 0, "collected": 0, "status": "pending", "transactionHash": "string" }, "status": 200, "success": true}